Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Path Parameters

id
string<uuid>
required

Response

The replacement order matching the given ID.

Replacement details

id
string<uuid>
required

Replacement ID

Example:

"123E4567-E89B-12D3-A456-426614174000"

status
enum<string>
required

Replacement status

Available options:
SUBMITTED,
PROCESSING,
COMPLETED,
PARTIALLY_COMPLETED,
CANCELLED
Example:

"SUBMITTED"

createdAt
string<date>
required

Date the replacement was created

Example:

"2025-01-15"

person
object

Person associated with the replacement

submittedBy
object

Person who submitted the replacement

order
object

Replacement order details

returnOrder
object

Return order details. Shipment tracking is populated on return order items when the item has an associated shipment (e.g. the return kit); retrieval-based return tracking is also available through the Returns endpoints.